**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/25.3/documents/document-attachments/retrieve-document-version-attachment-versions

# Retrieve Document Version Attachment Versions

Retrieve all versions of an attachment on a specific document version.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/attachments/{attachment_id}/versions" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{attachment_id}` | The `id` of the document attachment to retrieve. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/objects/documents/17/versions/0/1/attachments/39/versions
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "version__v": 1,
            "url": "https://myvault.veevavault.com/api/v25.2/objects/documents/17/versions/0/1/attachments/2901/versions/1"
        }
    ]
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response lists the following metadata for each version of the requested attachment:

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `version__v` | Version of the attachment. Attachment versioning uses integer numbers beginning with 1 and incrementing sequentially (1, 2, 3,...). There is no concept of major or minor version numbers with attachments. |
| `url` | Link to the [Retrieve Document Version Attachment Version Metadata](/clinical/vault-api/api-reference/25.3/documents/document-attachments/retrieve-document-version-attachment-version-metadata) endpoint to retrieve this attachment version. |
</FieldTable>

---

**Previous:** [Retrieve Document Attachment Versions](/clinical/vault-api/api-reference/25.3/documents/document-attachments/retrieve-document-attachment-versions)  
**Next:** [Retrieve Document Version Attachment Version Metadata](/clinical/vault-api/api-reference/25.3/documents/document-attachments/retrieve-document-version-attachment-version-metadata)